## libav-extra 0.6.2-1ubuntu2

=== debian/changelog ===
libav-extra (4:0.6.2-1ubuntu2) natty; urgency=low

  * fix path to powerpc extradoc

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 24 Mar 2011 15:42:35 +0100

libav-extra (4:0.6.2-1ubuntu1) natty; urgency=low

  * rename to libav-extra
  * remove all sources from branch and rely on libav-source package instead

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 20 Mar 2011 10:48:16 +0100

libav (4:0.6.2-1ubuntu1) unstable; urgency=low

  * Merge from debian. Remaining changes:
    - don't build against libfaad, libdirac, librtmp and libopenjpeg (all in universe)
    - explicitly --enable-pic on powerpc, cf. LP #654666
    - different arm configure bits that should probably better be merged into debian
  
 -- Reinhard Tartler <siretart@tauware.de>  Sun, 20 Mar 2011 10:26:02 +0100

ffmpeg-extra (4:0.6.1-2ubuntu1) natty; urgency=low

  * merge from 'main' package. Changes:
    - build against faad, dirac, libopenjpeg, x264, mp3lame, librtmp and xvidcore
  * force upgrade of the mplayer package

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 19 Nov 2010 12:15:19 +0100

libav (4:0.6.2-1) unstable; urgency=medium

  [ Reinhard Tartler ]
  * Imported Upstream version 0.6.2
    - include security fixes (Closes: #611495)
  * rename source package to libav
  * Switch to libav packages
  * copy in changelog entries from the 0.5 packaging branch (Closes: #616190)
  * update version numbering
  * make buildlogs verbose
  * Introduce 'libav-source', which contains the patched sources of libav
  * rename source package to libav

  [ Fabian Greffrath ]
  * Fix cp of doxy documentation fails with "Argument list too long" (Closes: #618679)

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 19 Mar 2011 08:13:46 +0100

ffmpeg (4:0.6.1-5ubuntu2) natty; urgency=low

  * Replace cp with tar to avoid an error of
      "/bin/cp: Argument list too long" on the ARM platform
      (running under a QEMU chroot environment) (LP: #734331)
    - Check on a Ubuntu "pbuilder" environment on Ubuntu 10.10/maverick x86
    - Restore a "Doxygen" file that excidentaly got into the changeset of the bug

 -- Gal Shalif <gal@shalif.com>  Mon, 14 Mar 2011 13:47:24 +0200

ffmpeg (4:0.6.1-5ubuntu1) natty; urgency=low

  * Merge from debian. Remaining changes:
    - don't build against libfaad, libdirac, librtmp and libopenjpeg (all in universe)
    - explicitly --enable-pic on powerpc, cf. LP #654666
    - different arm configure bits that should probably better be merged into debian

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 13 Feb 2011 20:04:06 +0100

ffmpeg (4:0.6.1-5) unstable; urgency=low

  * don't enable vaapi support on the hurd, Closes: #613034
  * minor updates to libswscale0's package description
  * Force upgrade of mplayer pre-rc4 for upgrades of libswscale,
    Closes: #612292

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 13 Feb 2011 09:25:42 +0100

ffmpeg (4:0.6.1-4) unstable; urgency=low

  * no change rebuild to fix broken last upload.

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 06 Feb 2011 09:20:39 +0100

ffmpeg (4:0.6.1-3) unstable; urgency=low

  * add libxfixes-dev to build depends
  * minor packaging cleanups
  * revised package description
  * detect libopenjpeg and dirac at build-time
  * remove note about packages being "Debian-specific"
  * simplify lintian-overrides
  * Sanitize LDFLAGS variable; it seems that dpkg-buildflags injects
    -Wl,-Bsymbolic-functions to LDFLAGS, which breaks the build on amd64

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 30 Jan 2011 09:22:11 +0100

ffmpeg (4:0.6.1-2ubuntu1) natty; urgency=low

  * Merge from debian. Remaining changes:
    - don't build against libfaad, libdirac, librtmp and libopenjpeg (all in universe)

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 19 Nov 2010 12:05:43 +0100

ffmpeg (4:0.6.1-2) experimental; urgency=low

  [ Jonas Smedegaard ]
  * Relax mplayer Breaks to permit backports and other early releases.

  [ Reinhard Tartler ]
  * Bump Standards-Version, no changes needed.

  [ Matthias Klose ]
  * Configure with --enable-pic on powerpc. LP: #654666.

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 19 Nov 2010 10:50:51 +0100

ffmpeg-extra (4:0.6.1-1ubuntu1) natty; urgency=low

  * merge from 'main' package. Changes:
    - build against faad, dirac, libopenjpeg, x264, mp3lame, librtmp and xvidcore

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 14 Nov 2010 21:03:40 +0100

ffmpeg (4:0.6.1-1ubuntu1) natty; urgency=low

  * Merge from debian. Remaining changes:
    - don't build against libfaad, libdirac, librtmp and libopenjpeg (all in universe)
    - explicitly --enable-pic on powerpc, cf. LP: #654666
  * remove fix-CVE-2010-3429.patch, applied upstream

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 14 Nov 2010 12:19:50 +0100

ffmpeg (4:0.6.1-1) experimental; urgency=low

  * Imported Upstream version 0.6.1
  * prepare new upload
  * remove patches merged upstream
  * add gitignore file

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 01 Nov 2010 09:18:08 +0100

ffmpeg-extra (4:0.6-2ubuntu5) natty; urgency=low

  * Remove dummy packages with 'unstripped' notation

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 14 Nov 2010 11:35:26 +0100

ffmpeg-extra (4:0.6-2ubuntu4) natty; urgency=low

  * sort build-deps alphabetically
  * build against librtmp-dev, closes LP: #673850
  * Bump Standards Version

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 12 Nov 2010 17:50:19 +0100

ffmpeg-extra (4:0.6-2ubuntu3) maverick; urgency=low

  * merge changes from 'ffmpeg' package

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 05 Oct 2010 21:40:28 +0200

ffmpeg (4:0.6-2ubuntu6) maverick; urgency=low

  * fix dependency on libswscale-extra-0, LP: #637895

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 05 Oct 2010 21:25:53 +0200

ffmpeg (4:0.6-2ubuntu5) maverick; urgency=low

  * Add flic video patch. Fixes CVE-2010-3429

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 05 Oct 2010 21:11:41 +0200


