=== debian/control ===
Source: libav-extra
Section: libs
Priority: optional
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Sam Hocevar (Debian packages) <sam+deb@zoy.org>,
 Loic Minier <lool@dooz.org>,
 Reinhard Tartler <siretart@tauware.de>,
 Fabian Greffrath <fabian+debian@greffrath.com>,
 Andres Mejia <mcitadel@gmail.com>,
 Jonas Smedegaard <dr@jones.dk>
DM-Upload-Allowed: yes
Standards-Version: 3.9.1
Vcs-Git: git://git.debian.org/git/pkg-multimedia/libav.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/libav.git;a=summary
Homepage: http://libav.org/
Build-Depends: debhelper (>= 7),
 libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
 libav-source,
 libbz2-dev,
 libdc1394-22-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
 libdirac-dev,
 libfaad-dev | libfaad2-dev,
 libfreetype6-dev,
 libgsm1-dev,
 libimlib2-dev,
 libmp3lame-dev,
 libopenjpeg-dev,
 libraw1394-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
 librtmp-dev (>= 2.2e-4),
 librtmp-dev,
 libschroedinger-dev,
 libsdl1.2-dev,
 libspeex-dev,
 libtheora-dev (>> 0.0.0.alpha4),
 libva-dev [!hurd-i386],
 libvdpau-dev,
 libvorbis-dev,
 libvpx-dev,
 libx11-dev,
 libx264-dev (>> 1:0.svn20100213+gitfcf70c),
 libxext-dev,
 libxfixes-dev,
 libxvidcore-dev | libxvidcore4-dev,
 libxvmc-dev,
 texi2html,
 yasm [i386 amd64],
 zlib1g-dev

Package: libavutil-extra-50
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Conflicts: libavutil50
Replaces: libavutil50
Description: Libav utility library
 This is the common utility library from the Libav project. It is required
 by all other Libav libraries.
 .
 This package contains a unrestricted version of the libavutil shared
 object that should only be used by Debian packages.

Package: libavcodec-extra-52
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Suggests: libfaad0
Conflicts: libavcodec52
Replaces: libavcodec52, ffmpeg (<< 4:0.5.1-1)
Description: Libav codec library
 This package contains the ffplay multimedia player, the ffserver streaming
 server and the Libav audio and video encoder. They support most existing
 file formats (AVI, MPEG, OGG, Matroska, ASF...) and encoding formats (MPEG,
 DivX, MPEG4, AC3, DV...).
 .
 This package contains a unrestricted version of the libavcodec shared
 object that should only be used by Debian packages.

Package: libavdevice-extra-52
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Conflicts: libavdevice52
Replaces: libavdevice52
Description: Libav device handling library
 This is the device handling library from the Libav project.
 .
 This package contains a unrestricted version of the libavdevice shared
 object that should only be used by Debian packages.

Package: libavfilter-extra-1
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Conflicts: libavfilter1
Replaces: libavfilter1
Description: Libav video postprocessing library
 This is the video postprocessing library from Libav.
 .
 This package contains a unrestricted version of the libavfilter shared
 object that should only be used by Debian packages.

Package: libpostproc-extra-51
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Conflicts: libpostproc51
Replaces: libpostproc51
Description: Libav video postprocessing library
 This is the video postprocessing library from the Libav project.
 .
 This package contains a unrestricted version of the libpostproc shared
 object that should only be used by Debian packages.

Package: libavformat-extra-52
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Conflicts: libavformat52
Replaces: libavformat52
Breaks: libavcodec51, mplayer (<< 2:1.0~rc4~)
Description: Libav file format library
 This is the demuxer library from the Libav project. It supports most
 existing file formats (AVI, MPEG, OGG, Matroska, ASF...).
 .
 This package contains a unrestricted version of the libavformat shared
 object that should only be used by Debian packages.

Package: libswscale-extra-0
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Conflicts: libswscale0
Replaces: libswscale0
Description: Libav video scaling library
 This is the video scaling library from the Libav project.
 .
 This package contains a unrestricted version of the libswscale shared
 object that should only be used by Debian packages.
