## libav-extra 0.6.2-1ubuntu2+5.0trisquel1

=== debian/changelog ===
libav-extra (4:0.6.2-1ubuntu2+5.0trisquel1) dagda; urgency=low

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 09 Sep 2011 00:33:29 +0000
