## libav-extra 0.6.6-1ubuntu1

=== debian/changelog ===
libav-extra (4:0.6.6-1ubuntu1) natty-security; urgency=low

  * Rebuild against libav security update

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 13 Jun 2012 14:57:45 -0400

libav-extra (4:0.6.4-1ubuntu1) natty-security; urgency=low

  * Rebuild against libav 0.6.4.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 04 Jan 2012 11:03:51 -0500
