=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: libav-extra
 Section: libs
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Sam Hocevar (Debian packages) <sam+deb@zoy.org>,
  Loic Minier <lool@dooz.org>,
@@ -16,7 +16,7 @@
 Homepage: http://libav.org/
 Build-Depends: debhelper (>= 7),
  libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
- libav-source,
+ libav-source (>= 4:0.6.6-0~),
  libbz2-dev,
  libdc1394-22-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
  libdirac-dev,
