=== debian/watch ===
version=3
opts="uversionmangle=s/.*-snapshot//i" \
http://www.ffmpeg.org/releases/ffmpeg-(.*)\.tar\.gz
