## libav-extra 0.7.2.1

=== debian/changelog ===
libav-extra (4:0.7.2.1) unstable; urgency=low

  * Rebuild against libav 0.7.2
  * Tighten build dependency on libav-source (>= 4:0.7.2-1)

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 02 Oct 2011 19:39:40 +0200

libav-extra (4:0.7.1.4) unstable; urgency=low

  * Add Built-Using fields
  * Tighten build dependency on libav-source
  * prefer libtiff4 over libtiff5 for now

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 28 Sep 2011 23:10:00 +0200

libav-extra (4:0.7.1.3) unstable; urgency=low

  * Convert package to be support multiarch.
  * Fix deprecated dh_install option 'warn-missing' to 'list-missing'.
  * Update build depends to have libav-source (>= 4:0.7.1-6).
  * Update libav-extra source lintian overrides for libav-extra package.

 -- Andres Mejia <amejia@debian.org>  Sat, 24 Sep 2011 23:29:38 -0400

libav-extra (4:0.7.1.2) unstable; urgency=low

  * Tighten dependency on libav-source
  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 03 Sep 2011 09:40:22 +0200

libav-extra (4:0.7.1.1) experimental; urgency=low

  * Upload to Debian
  * add checks for libvo-aacenc and libvo-amrwbenc libraries
  * Restore maintainer field
  * adjust dependency on libav-source
  * enable amr-wb and aac encoders
  * add note that -extra- packages are GPLv3 licensed

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 31 Aug 2011 21:28:18 +0200

libav-extra (4:0.7.1.0ubuntu2) oneiric; urgency=low

  * rebuild for libx264

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 06 Aug 2011 10:40:03 +0200

libav-extra (4:0.7.1.0ubuntu1) oneiric; urgency=low

  * New upstream release
  * bump dependency on libav-source
  * Use proper architecture wildcards for Linux-only dependencies,
    Closes: #634460
  * Fix installation of codecs.txt and formats.txt
  * no longer generate 'snapshot_version'
  * Pass --arch to configure
  * update gbp.conf

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 22 Jul 2011 08:49:19 +0200

libav-extra (4:0.7-1ubuntu5) oneiric; urgency=low

  * Cleanup after LP #802116, fixes LP: #804452

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 01 Jul 2011 21:58:13 +0200

libav-extra (4:0.7-1ubuntu4) oneiric; urgency=low

  * complete renaming of libswscale-extra-1 to libswscale-extra-2 package,
    fixes FTBFS.

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 27 Jun 2011 09:19:07 +0200

libav-extra (4:0.7-1ubuntu3) oneiric; urgency=low

  * Rename libswscale-extra-1 to libswscale-extra-2 to follow
    forgotten SONAME change. LP: #802116

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 27 Jun 2011 08:33:38 +0200

libav-extra (4:0.7-1ubuntu2) oneiric; urgency=low

  * merge from 'main' package. Changes:
    - build against dirac, libopenjpeg, x264, mp3lame, librtmp and xvidcore
  * Tighten build dependency on libav-source

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 22 Jun 2011 10:51:30 +0200

libav (4:0.7-1ubuntu1) oneiric; urgency=low

  * Merge from debian. Remaining changes:
    - don't build against libfaad, libdirac, librtmp and libopenjpeg
      (all in universe)

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 22 Jun 2011 10:47:22 +0200

libav (4:0.7-1) experimental; urgency=low

  * New upstream release.
  * Fixes several potential security issues, Closes: #628448
  * Much imporved libavfilter, Closes: #594108
  * Fixes some overlapping memcpys my using memmove instead, Closes: #627818
  * Bump libswscale SONAME
  * Bump shlibs
  * Bump Standards version to 3.9.2

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 21 Jun 2011 07:49:59 +0200

libav-extra (4:0.7~rc1-1ubuntu1) oneiric; urgency=low

  * merge from 'main' package. Changes:
    - build against dirac, libopenjpeg, x264, mp3lame, librtmp and xvidcore

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 18 Jun 2011 17:10:08 +0200

libav (4:0.7~rc1-1ubuntu1) oneiric; urgency=low

  * Merge from debian. Remaining changes:
    - don't build against libfaad, libdirac, librtmp and libopenjpeg
      (all in universe)

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 18 Jun 2011 15:43:30 +0200

libav (4:0.7~rc1-1) experimental; urgency=low

  * New upstream version
  * Bug fix: "Please add ffmpeg-mt for multithreading support", branch has
    been finally merged now upstream properly (Closes: #575600).
  * remove 02-Fix-kfreeBSD-FTBFS.patch, applied upstream

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 14 Jun 2011 22:03:36 +0200

libav (4:0.7~beta2-2ubuntu1) oneiric; urgency=low

  * Merge from debian. Remaining changes:
    - don't build against libfaad, libdirac, librtmp and libopenjpeg
      (all in universe)

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 27 May 2011 19:27:07 +0200

libav (4:0.7~beta2-2) experimental; urgency=low

  * refresh patches
  * rename Tweak-doxygen-config patch
  * add patch from upstream to fix build failure on kFreeBSD
  * ignore quilt .pc status directory

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 15 May 2011 10:49:54 +0200

libav (4:0.7~beta2-1) experimental; urgency=low

  [ Jonathan Nieder ]
  * only install doc/APIChanges in *-dev and libav-doc packages
  * move note on source package lineage to README.Debian
  * install NEWS.Debian in libavcodec-dev
  * use dpkg source format 3.0 (quilt)
  * allow "debian/rules clean" as unprivileged user

  [ Reinhard Tartler ]
  * New upstream release

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 13 May 2011 12:31:33 +0200

libav (4:0.7~b1-2) experimental; urgency=low

  * don't try to install non-existing documentation, fixes FTBFS on powerpc
  * add NEWS.Debian file
  * install doc/APIChanges and refer to them in NEWS.Debian (Closes: #623682)
  * readd deprecated avcodec_thread_init in libavformat

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 01 May 2011 18:58:40 +0200

libav (4:0.7~b1-1ubuntu1) oneiric; urgency=low

  * Merge from debian. Remaining changes:
    - don't build against libfaad, libdirac, librtmp and libopenjpeg
      (all in universe)

