=== debian/control ===
Source: libav-extra
Section: libs
Priority: optional
Maintainer: Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Sam Hocevar (Debian packages) <sam+deb@zoy.org>,
 Loic Minier <lool@dooz.org>,
 Reinhard Tartler <siretart@tauware.de>,
 Fabian Greffrath <fabian+debian@greffrath.com>,
 Andres Mejia <amejia@debian.org>,
 Jonas Smedegaard <dr@jones.dk>
DM-Upload-Allowed: yes
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/pkg-multimedia/libav-extra.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/libav-extra.git;a=summary
Homepage: http://libav.org/
Build-Depends: debhelper (>= 8.1.3~),
 libasound2-dev [linux-any],
 libav-source (>= 4:0.7.2-1~),
 libbz2-dev,
 libdc1394-22-dev [linux-any],
 libdirac-dev,
 libfaad-dev | libfaad2-dev,
 libfreetype6-dev,
 libgsm1-dev,
 libimlib2-dev,
 libjack-dev [!hurd-i386],
 libmp3lame-dev,
 libopenjpeg-dev,
 libraw1394-dev [linux-any],
 librtmp-dev (>= 2.2e-4),
 libschroedinger-dev,
 libsdl1.2-dev,
 libspeex-dev,
 libtheora-dev (>> 0.0.0.alpha4),
 libtiff4-dev | libtiff-dev,
 libva-dev [!hurd-i386],
 libvdpau-dev,
 libvo-aacenc-dev,
 libvo-amrwbenc-dev,
 libvorbis-dev,
 libvpx-dev,
 libx11-dev,
 libx264-dev (>> 1:0.svn20100213+gitfcf70c),
 libxext-dev,
 libxfixes-dev,
 libxvidcore-dev | libxvidcore4-dev,
 libxvmc-dev,
 texi2html,
 yasm,
 zlib1g-dev

Package: libavutil-extra-51
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Conflicts: libavutil51
Replaces: libavutil51
Built-Using: ${libav:Built-Using}
Description: Libav utility library
 This is the common utility library from the Libav project. It is required
 by all other Libav libraries.
 .
 This package contains a unrestricted version of the libavutil shared
 object that should only be used by Debian packages.

Package: libavcodec-extra-53
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends}
Suggests: libfaad0
Conflicts: libavcodec53
Replaces: libavcodec53
Built-Using: ${libav:Built-Using}
Description: Libav codec library
 This package contains the ffplay multimedia player, the ffserver streaming
 server and the Libav audio and video encoder. They support most existing
 file formats (AVI, MPEG, OGG, Matroska, ASF...) and encoding formats (MPEG,
 DivX, MPEG4, AC3, DV...).
 .
 This package contains a unrestricted version of the libavcodec shared
 object that should only be used by Debian packages.

Package: libavdevice-extra-53
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends}
Conflicts: libavdevice53
Replaces: libavdevice53
Built-Using: ${libav:Built-Using}
Description: Libav device handling library
 This is the device handling library from the Libav project.
 .
 This package contains a unrestricted version of the libavdevice shared
 object that should only be used by Debian packages.

Package: libavfilter-extra-2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends}
Conflicts: libavfilter2
Replaces: libavfilter2
Built-Using: ${libav:Built-Using}
Description: Libav filter library
 This is the video postprocessing library from Libav.
 .
 This package contains a unrestricted version of the libavfilter shared
 object that should only be used by Debian packages.

Package: libpostproc-extra-52
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends}
Conflicts: libpostproc52
Replaces: libpostproc52
Built-Using: ${libav:Built-Using}
Description: Libav video postprocessing library
 This is the video postprocessing library from the Libav project.
 .
 This package contains a unrestricted version of the libpostproc shared
 object that should only be used by Debian packages.

Package: libavformat-extra-53
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends}
Conflicts: libavformat53
Replaces: libavformat53
Built-Using: ${libav:Built-Using}
Description: Libav file format library
 This is the demuxer library from the Libav project. It supports most
 existing file formats (AVI, MPEG, OGG, Matroska, ASF...).
 .
 This package contains a unrestricted version of the libavformat shared
 object that should only be used by Debian packages.

Package: libswscale-extra-2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends}
Conflicts: libswscale-extra-1 (>> 4:0.7~), libswscale2
Replaces: libswscale-extra-1 (>> 4:0.7~), libswscale2
Built-Using: ${libav:Built-Using}
Description: Libav video scaling library
 This is the video scaling library from the Libav project.
 .
 This package contains a unrestricted version of the libswscale shared
 object that should only be used by Debian packages.
