=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,9 @@
 DEB_SOURCE := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
 DEB_VERSION := $(shell dpkg-parsechangelog | sed -n 's/^Version: //p')
 UPSTREAM_VERSION := $(shell echo $(DEB_VERSION) | sed -r 's/[^:]+://; s/-[^-]+$$//')
-SHLIBS_VERSION := 4:0.6-1~
+SHLIBS_VERSION := 4:0.7-1
+
+BUILT_USING=$(shell dpkg-query --showformat='$${Source} (= $${Version})' --show libav-source)
 
 LIB_PKGS := $(shell sed -nr 's/^Package:[[:space:]]*(lib(avutil|avcodec|avdevice|avformat|avfilter|postproc|swscale)(-extra-)?[0-9]+)[[:space:]]*$$/\1/p' debian/control)
 
@@ -26,17 +28,13 @@
 $(info DEB_BUILD_OPTIONS = $(DEB_BUILD_OPTIONS))
 $(info CFLAGS = $(CFLAGS))
 $(info LDFLAGS = $(LDFLAGS))
-
-snapshot_version:
-	[ ! -r .svnrevision ] || \
-		cp .svnrevision $@
-	touch $@
+$(info BUILT_USING = $(BUILT_USING))
 
 libav/configure:
 	tar xvf /usr/src/libav-source.tar.gz
 
 configure-%: configure-stamp-%
-configure-stamp-%: snapshot_version libav/configure
+configure-stamp-%: libav/configure
 	dh_testdir
 	mkdir -p debian-$*
 	cd debian-$* && CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" $(CURDIR)/libav/configure \
@@ -62,12 +60,10 @@
 build-stamp: $(addprefix build-stamp-, $(FLAVORS)) debian-shared/tools/qt-faststart
 	touch $@
 
-clean: clean-real
-clean-real:
+clean:
 	dh_testdir
-	dh_testroot
 	rm -f build-stamp $(addprefix build-stamp-, $(FLAVORS)) \
-	    $(addprefix configure-stamp-, $(FLAVORS)) patch-stamp \
+	    $(addprefix configure-stamp-, $(FLAVORS)) \
 	    build-doxy-stamp
 	rm -rf $(addprefix debian-, $(FLAVORS)) doxy libav
 	dh_clean
@@ -89,14 +85,14 @@
 	dh_prep
 	$(foreach flavor,$(FLAVORS),$(call install_flavor,$(flavor)))
 	dh_install -Xusr/share/doc/ffmpeg-doc -Xusr/share/doc/ffmpeg \
-		--warn-missing --sourcedir=debian/tmp
+		--list-missing --sourcedir=debian/tmp
 
 formats.txt: install
-	env LD_LIBRARY_PATH="$(LD_LIBRARY_PATH):$(CURDIR)/debian/tmp/usr/lib" \
+	env LD_LIBRARY_PATH="$(LD_LIBRARY_PATH):$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)" \
 	debian/tmp/usr/bin/ffmpeg -formats | tee $@
 
 codecs.txt: install
-	env LD_LIBRARY_PATH="$(LD_LIBRARY_PATH):$(CURDIR)/debian/tmp/usr/lib" \
+	env LD_LIBRARY_PATH="$(LD_LIBRARY_PATH):$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)" \
 	debian/tmp/usr/bin/ffmpeg -codecs | tee $@
 
 binary-indep: install
@@ -107,8 +103,8 @@
 	dh_installdocs $(extradoc) libav/doc/optimization.txt
 	dh_installdocs -A libav/CREDITS libav/doc/TODO
 	dh_installdocs -A debian/README.Debian
-	dh_installdocs -p libavcodec-extra-52 codecs.txt
-	dh_installdocs -p libavformat-extra-52 formats.txt
+	dh_installdocs -p libavcodec-extra-53 codecs.txt
+	dh_installdocs -p libavformat-extra-53 formats.txt
 	dh_installchangelogs libav/Changelog
 	dh_lintian
 	dh_link
@@ -120,21 +116,21 @@
 	for pkg in $(LIB_PKGS); do \
 	    dh_makeshlibs -p"$$pkg" -V"$$pkg (>= $(EPOCH)$(UPSTREAM_VERSION)), $$pkg (<< $(EPOCH)$(UPSTREAM_VERSION)-99)"; \
 	done
-	env LD_LIBRARY_PATH="$(LD_LIBRARY_PATH):$(CURDIR)/debian/tmp/usr/lib" \
+	env LD_LIBRARY_PATH="$(LD_LIBRARY_PATH):$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)" \
 	dh_shlibdeps
 # target dependencies for external packages
 	for pkg in $(LIB_PKGS); do \
 	    dh_makeshlibs -p"$$pkg" -V"$$pkg (>= $(SHLIBS_VERSION))"; \
 	done
 	dh_installdeb
-	dh_gencontrol -- -Vlib1394-dev="$(lib1394-dev)"
+	dh_gencontrol -- -Vlib1394-dev="$(lib1394-dev)" -Vlibav:Built-Using="$(BUILT_USING)"
 	dh_md5sums
 	dh_builddeb
 
 binary: binary-indep binary-arch
 
 .PHONY: build $(addprefix build-, $(FLAVORS)) build-doxy \
-	clean clean-real \
+	clean \
 	configure $(addprefix configure-, $(FLAVORS)) \
 	binary binary-indep binary-arch \
 	install \
