=== debian/watch ===
version=3
opts="uversionmangle=s/.*-snapshot//i" \
http://libav.org/releases/libav-(.*)\.tar\.gz
