## libav-extra 0.7.2.1ubuntu1

=== debian/changelog ===
libav-extra (4:0.7.2.1ubuntu1) oneiric; urgency=low

  * Revert "Convert package to be support multiarch."
  * Rebuild against libav 0.7.2-1ubuntu1

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 02 Oct 2011 19:59:08 +0200
