=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 Vcs-Git: git://git.debian.org/git/pkg-multimedia/libav-extra.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/libav-extra.git;a=summary
 Homepage: http://libav.org/
-Build-Depends: debhelper (>= 8.1.3~),
+Build-Depends: debhelper (>= 7),
  libasound2-dev [linux-any],
  libav-source (>= 4:0.7.2-1~),
  libbz2-dev,
@@ -51,8 +51,6 @@
 
 Package: libavutil-extra-51
 Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Conflicts: libavutil51
@@ -67,8 +65,6 @@
 
 Package: libavcodec-extra-53
 Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
  ${misc:Depends}
 Suggests: libfaad0
@@ -86,8 +82,6 @@
 
 Package: libavdevice-extra-53
 Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
  ${misc:Depends}
 Conflicts: libavdevice53
@@ -101,8 +95,6 @@
 
 Package: libavfilter-extra-2
 Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
  ${misc:Depends}
 Conflicts: libavfilter2
@@ -116,8 +108,6 @@
 
 Package: libpostproc-extra-52
 Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
  ${misc:Depends}
 Conflicts: libpostproc52
@@ -131,8 +121,6 @@
 
 Package: libavformat-extra-53
 Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
  ${misc:Depends}
 Conflicts: libavformat53
@@ -147,8 +135,6 @@
 
 Package: libswscale-extra-2
 Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
  ${misc:Depends}
 Conflicts: libswscale-extra-1 (>> 4:0.7~), libswscale2
