## libav-extra 0.7.6ubuntu0.11.10.3

=== debian/changelog ===
libav-extra (4:0.7.6ubuntu0.11.10.3) oneiric-security; urgency=low

  * Rebuild against libav security update

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 25 Jan 2013 08:44:47 -0500

libav-extra (4:0.7.6ubuntu0.11.10.2) oneiric-security; urgency=low

  * Rebuild against libav security update

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 19 Dec 2012 08:53:22 -0500

libav-extra (4:0.7.6ubuntu0.11.10.1) oneiric-security; urgency=low

  * Rebuild against libav security update

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 13 Jun 2012 14:49:06 -0400

libav-extra (4:0.7.3ubuntu0.11.10.1) oneiric-security; urgency=low

  * Rebuild against libav 0.7.3

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 04 Jan 2012 11:01:09 -0500
