=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libav-extra
 Section: libs
 Priority: optional
-Maintainer: Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Sam Hocevar (Debian packages) <sam+deb@zoy.org>,
  Loic Minier <lool@dooz.org>,
  Reinhard Tartler <siretart@tauware.de>,
@@ -15,7 +16,7 @@
 Homepage: http://libav.org/
 Build-Depends: debhelper (>= 7),
  libasound2-dev [linux-any],
- libav-source (>= 4:0.7.2-1~),
+ libav-source (>= 4:0.7.6-0~),
  libbz2-dev,
  libdc1394-22-dev [linux-any],
  libdirac-dev,
