=== debian/rules ===
--- 
+++ 
@@ -85,14 +85,14 @@
 	dh_prep
 	$(foreach flavor,$(FLAVORS),$(call install_flavor,$(flavor)))
 	dh_install -Xusr/share/doc/ffmpeg-doc -Xusr/share/doc/ffmpeg \
-		--list-missing --sourcedir=debian/tmp
+		--warn-missing --sourcedir=debian/tmp
 
 formats.txt: install
-	env LD_LIBRARY_PATH="$(LD_LIBRARY_PATH):$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)" \
+	env LD_LIBRARY_PATH="$(LD_LIBRARY_PATH):$(CURDIR)/debian/tmp/usr/lib" \
 	debian/tmp/usr/bin/ffmpeg -formats | tee $@
 
 codecs.txt: install
-	env LD_LIBRARY_PATH="$(LD_LIBRARY_PATH):$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)" \
+	env LD_LIBRARY_PATH="$(LD_LIBRARY_PATH):$(CURDIR)/debian/tmp/usr/lib" \
 	debian/tmp/usr/bin/ffmpeg -codecs | tee $@
 
 binary-indep: install
@@ -116,7 +116,7 @@
 	for pkg in $(LIB_PKGS); do \
 	    dh_makeshlibs -p"$$pkg" -V"$$pkg (>= $(EPOCH)$(UPSTREAM_VERSION)), $$pkg (<< $(EPOCH)$(UPSTREAM_VERSION)-99)"; \
 	done
-	env LD_LIBRARY_PATH="$(LD_LIBRARY_PATH):$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)" \
+	env LD_LIBRARY_PATH="$(LD_LIBRARY_PATH):$(CURDIR)/debian/tmp/usr/lib" \
 	dh_shlibdeps
 # target dependencies for external packages
 	for pkg in $(LIB_PKGS); do \
