## libav-extra 0.8~beta2.2

=== debian/changelog ===
libav-extra (4:0.8~beta2.2) unstable; urgency=low

  * Enable drawtext filter (Closes: #647132)
  * fix build failures by dropping unnecessary configure flags

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 13 Jan 2012 07:39:47 +0100

libav-extra (4:0.8~beta2.1) unstable; urgency=low

  * bump shlibs version
  * rename the package 'ffmpeg' -> 'libav'
  * Rename package libav to libav-tools (Closes: #654984)
  * bump dependency on libav-source
  * don't try to install CREDITS and TODO files

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 11 Jan 2012 20:36:27 +0100

libav-extra (4:0.7.3.1) unstable; urgency=low

  * Rebuild against libav 0.7.3
  * Tighten build dependency on libav-source (>= 4:0.7.3-2)
  * Bump shlibs (technically unnecessary, but added for completeness)

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 26 Dec 2011 11:21:04 +0100
