=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libav-extra
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Sam Hocevar (Debian packages) <sam+deb@zoy.org>,
  Loic Minier <lool@dooz.org>,
  Reinhard Tartler <siretart@tauware.de>,
@@ -14,9 +13,9 @@
 Vcs-Git: git://git.debian.org/git/pkg-multimedia/libav-extra.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/libav-extra.git;a=summary
 Homepage: http://libav.org/
-Build-Depends: debhelper (>= 7),
+Build-Depends: debhelper (>= 8.1.3~),
  libasound2-dev [linux-any],
- libav-source (>= 4:0.7.6-0~),
+ libav-source (>= 4:0.8~beta2~),
  libbz2-dev,
  libdc1394-22-dev [linux-any],
  libdirac-dev,
@@ -52,6 +51,8 @@
 
 Package: libavutil-extra-51
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Conflicts: libavutil51
@@ -66,6 +67,8 @@
 
 Package: libavcodec-extra-53
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
  ${misc:Depends}
 Suggests: libfaad0
@@ -83,6 +86,8 @@
 
 Package: libavdevice-extra-53
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
  ${misc:Depends}
 Conflicts: libavdevice53
@@ -96,6 +101,8 @@
 
 Package: libavfilter-extra-2
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
  ${misc:Depends}
 Conflicts: libavfilter2
@@ -109,6 +116,8 @@
 
 Package: libpostproc-extra-52
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
  ${misc:Depends}
 Conflicts: libpostproc52
@@ -122,6 +131,8 @@
 
 Package: libavformat-extra-53
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
  ${misc:Depends}
 Conflicts: libavformat53
@@ -136,6 +147,8 @@
 
 Package: libswscale-extra-2
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
  ${misc:Depends}
 Conflicts: libswscale-extra-1 (>> 4:0.7~), libswscale2
