=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 DEB_SOURCE := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
 DEB_VERSION := $(shell dpkg-parsechangelog | sed -n 's/^Version: //p')
 UPSTREAM_VERSION := $(shell echo $(DEB_VERSION) | sed -r 's/[^:]+://; s/-[^-]+$$//')
-SHLIBS_VERSION := 4:0.7-1
+SHLIBS_VERSION := 4:0.8~beta1~
 
 BUILT_USING=$(shell dpkg-query --showformat='$${Source} (= $${Version})' --show libav-source)
 
@@ -84,16 +84,16 @@
 	dh_testroot
 	dh_prep
 	$(foreach flavor,$(FLAVORS),$(call install_flavor,$(flavor)))
-	dh_install -Xusr/share/doc/ffmpeg-doc -Xusr/share/doc/ffmpeg \
-		--warn-missing --sourcedir=debian/tmp
+	dh_install -Xusr/share/doc/libav-doc -Xusr/share/doc/libav \
+		--list-missing --sourcedir=debian/tmp
 
 formats.txt: install
-	env LD_LIBRARY_PATH="$(LD_LIBRARY_PATH):$(CURDIR)/debian/tmp/usr/lib" \
-	debian/tmp/usr/bin/ffmpeg -formats | tee $@
+	env LD_LIBRARY_PATH="$(LD_LIBRARY_PATH):$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)" \
+	debian/tmp/usr/bin/avconv -formats | tee $@
 
 codecs.txt: install
-	env LD_LIBRARY_PATH="$(LD_LIBRARY_PATH):$(CURDIR)/debian/tmp/usr/lib" \
-	debian/tmp/usr/bin/ffmpeg -codecs | tee $@
+	env LD_LIBRARY_PATH="$(LD_LIBRARY_PATH):$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)" \
+	debian/tmp/usr/bin/avconv -codecs | tee $@
 
 binary-indep: install
 
@@ -101,7 +101,6 @@
 	dh_testdir
 	dh_testroot
 	dh_installdocs $(extradoc) libav/doc/optimization.txt
-	dh_installdocs -A libav/CREDITS libav/doc/TODO
 	dh_installdocs -A debian/README.Debian
 	dh_installdocs -p libavcodec-extra-53 codecs.txt
 	dh_installdocs -p libavformat-extra-53 formats.txt
@@ -116,7 +115,7 @@
 	for pkg in $(LIB_PKGS); do \
 	    dh_makeshlibs -p"$$pkg" -V"$$pkg (>= $(EPOCH)$(UPSTREAM_VERSION)), $$pkg (<< $(EPOCH)$(UPSTREAM_VERSION)-99)"; \
 	done
-	env LD_LIBRARY_PATH="$(LD_LIBRARY_PATH):$(CURDIR)/debian/tmp/usr/lib" \
+	env LD_LIBRARY_PATH="$(LD_LIBRARY_PATH):$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)" \
 	dh_shlibdeps
 # target dependencies for external packages
 	for pkg in $(LIB_PKGS); do \
