## libav-extra 0.8.0.1

=== debian/changelog ===
libav-extra (4:0.8.0.1) unstable; urgency=medium

  [ Fabian Greffrath ]
  * Properly set the library paths for multiarch and shared libs in
    debian/*.install instead of using brace expansion and asterisks.
  * Fix debian/*.install file generation on archs (e.g. armel) that build
    more than only one optimized shared library (Closes: #656184).

  [ Reinhard Tartler ]
  * Add breaks on old mplayer versions (Closes: #657326)
  * extend package description to include a note what libav actually is
  * Urgency medium because new upstream releases fixes security issues
  * Rebuild against libav 0.8
  * Tighten build dependency on libav-source (>= 0.8-1~)

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 24 Jan 2012 08:02:29 +0100
